intermittent failure in 585598-1.xhtml, 383979-2.html, 547338.xul, 571975-1.html, 580504-1.xhtml | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table))

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
8 years ago
7 years ago

People

(Reporter: mak, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1297863252.1297863665.824.gz
Rev3 Fedora 12 mozilla-central debug test crashtest on 2011/02/16 05:34:12

REFTEST TEST-START | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/style/crashtests/383979-2.html
###!!! ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table): 'RECURSION_LEVEL_SAFE_TO_FINISH(table)', file pldhash.c, line 406
PL_DHashTableFinish [pldhash.c:409]
nsTHashtable<nsBaseHashtableET<nsUint32HashKey, nsAutoPtr<nsOggCodecState> > >::~nsTHashtable [nsTHashtable.h:319]
nsBaseHashtable<nsUint32HashKey, nsAutoPtr<nsOggCodecState>, nsOggCodecState*>::~nsBaseHashtable [nsBaseHashtable.h:84]
nsClassHashtable<nsUint32HashKey, nsOggCodecState>::~nsClassHashtable [nsClassHashtable.h:56]
nsOggReader::~nsOggReader [nsOggReader.cpp:118]
nsAutoPtr<nsBuiltinDecoderReader>::~nsAutoPtr [nsAutoPtr.h:105]
nsBuiltinDecoderStateMachine::~nsBuiltinDecoderStateMachine [nsBuiltinDecoderStateMachine.cpp:175]
nsOggDecoderStateMachine::~nsOggDecoderStateMachine [nsOggDecoderStateMachine.h:45]
nsRunnable::Release [nsThreadUtils.cpp:55]
nsCOMPtr<nsDecoderStateMachine>::assign_assuming_AddRef [nsCOMPtr.h:519]
nsCOMPtr<nsDecoderStateMachine>::assign_with_AddRef [nsCOMPtr.h:1205]
nsCOMPtr<nsDecoderStateMachine>::operator= [nsCOMPtr.h:664]
nsBuiltinDecoder::Stop [nsBuiltinDecoder.cpp:137]
nsRunnableMethodImpl<void (nsBuiltinDecoder::*)(), true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [nsThread.cpp:633]
NS_ProcessNextEvent_P [nsThreadUtils.cpp:250]
nsThread::Shutdown [nsThread.cpp:491]
nsBuiltinDecoder::Stop [nsBuiltinDecoder.cpp:135]
nsRunnableMethodImpl<void (nsBuiltinDecoder::*)(), true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [nsThread.cpp:633]
NS_ProcessNextEvent_P [nsThreadUtils.cpp:250]
nsThread::Shutdown [nsThread.cpp:491]
nsBuiltinDecoder::Stop [nsBuiltinDecoder.cpp:135]
nsRunnableMethodImpl<void (nsBuiltinDecoder::*)(), true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [nsThread.cpp:633]
NS_ProcessNextEvent_P [nsThreadUtils.cpp:250]
mozilla::ipc::MessagePump::Run [MessagePump.cpp:110]
MessageLoop::RunInternal [message_loop.cc:220]
MessageLoop::RunHandler [message_loop.cc:203]
MessageLoop::Run [message_loop.cc:176]
nsBaseAppShell::Run [nsBaseAppShell.cpp:198]
nsAppStartup::Run [nsAppStartup.cpp:220]
XRE_main [nsAppRunner.cpp:3766]
main [nsBrowserApp.cpp:158]
libc.so.6 + 0x16bb6
++DOMWINDOW == 12 (0xaa3fdac) [serial = 2888] [outer = 0xa2a1328]
REFTEST TEST-PASS | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/style/crashtests/383979-2.html | (LOAD ONLY)
REFTEST INFO | Loading a blank page
++DOMWINDOW == 13 (0xb72f63c) [serial = 2889] [outer = 0xa2a1328]
REFTEST TEST-UNEXPECTED-FAIL | file:///home/cltbld/talos-slave/test/build/reftest/tests/layout/style/crashtests/383979-2.html | assertion count 1 is more than expected 0 assertions
Why is this a layout issue?  This looks like broke ogg decoder teardown to me....
Component: Layout → Video/Audio
QA Contact: layout → video.audio
Happened again, but on a different test:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1304390120.1304390868.20842.gz

Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test crashtest


REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/generic/crashtests/534366-2.html

...
###!!! ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table): 'RECURSION_LEVEL_SAFE
_TO_FINISH(table)', file /builds/slave/cen-osx64-dbg/build/obj-firefox/xpcom/bui
ld/pldhash.c, line 406
PL_DHashTableFinish [obj-firefox/xpcom/build/pldhash.c:409]
nsTHashtable<nsBaseHashtableET<nsUint32HashKey, nsAutoPtr<nsOggCodecState> > >::~nsTHashtable [nsTHashtable.h:318]
nsBaseHashtable<nsUint32HashKey,nsAutoPtr<nsOggCodecState>,nsOggCodecState*>::~nsBaseHashtable [nsBaseHashtable.h:84]
nsClassHashtable<nsUint32HashKey,nsOggCodecState>::~nsClassHashtable [nsClassHashtable.h:56]
nsOggReader::~nsOggReader [content/media/ogg/nsOggReader.cpp:120]
nsAutoPtr<nsBuiltinDecoderReader>::~nsAutoPtr [nsAutoPtr.h:104]
nsBuiltinDecoderStateMachine::~nsBuiltinDecoderStateMachine [content/media/nsBuiltinDecoderStateMachine.cpp:204]
nsOggDecoderStateMachine::~nsOggDecoderStateMachine [content/media/ogg/nsOggDecoderStateMachine.h:45]
nsRunnable::Release [obj-firefox/xpcom/build/nsThreadUtils.cpp:55]
nsCOMPtr<nsDecoderStateMachine>::assign_assuming_AddRef [nsCOMPtr.h:518]
nsCOMPtr<nsDecoderStateMachine>::assign_with_AddRef [nsCOMPtr.h:1204]
nsCOMPtr<nsDecoderStateMachine>::operator= [nsCOMPtr.h:664]
nsBuiltinDecoder::Stop [content/media/nsBuiltinDecoder.cpp:137]
nsRunnableMethodImpl<void (nsBuiltinDecoder::*)(),true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:618]
NS_ProcessNextEvent_P [obj-firefox/xpcom/build/nsThreadUtils.cpp:250]
nsThread::Shutdown [xpcom/threads/nsThread.cpp:480]
nsBuiltinDecoder::Stop [content/media/nsBuiltinDecoder.cpp:135]
nsRunnableMethodImpl<void (nsBuiltinDecoder::*)(),true>::Run [nsThreadUtils.h:346]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:618]
NS_ProcessPendingEvents_P [obj-firefox/xpcom/build/nsThreadUtils.cpp:200]
nsBaseAppShell::NativeEventCallback [widget/src/xpwidgets/nsBaseAppShell.cpp:131]
nsAppShell::ProcessGeckoEvents [widget/src/cocoa/nsAppShell.mm:423]

...
This might be the same as bug 651615.
Depends on: 651615
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1307241290.1307242041.3340.gz&fulltext=1#err0
Rev3 WINNT 5.1 mozilla-central debug test crashtest on 2011/06/04 19:34:50
s: talos-r3-xp-020

###!!! ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table): 'RECURSION_LEVEL_SAFE_TO_FINISH(table)', file e:/builds/moz2_slave/cen-w32-dbg/build/obj-firefox/xpcom/build/pldhash.c, line 406
REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/generic/crashtests/514800-1.html | assertion count 1 is more than expected 0 assertions
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1309302804.1309303574.21941.gz&fulltext=1
Rev3 MacOSX Leopard 10.5.8 fx-team debug test crashtest on 2011/06/28 16:13:24
s: talos-r3-leopard-005

###!!! ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table): 'RECURSION_LEVEL_SAFE_TO_FINISH(table)', file /builds/slave/fx-team-osx-dbg/build/obj-firefox/xpcom/build/pldhash.c, line 406
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/generic/crashtests/547338.xul | assertion count 1 is more than expected 0 assertions
Summary: intermittent failure in layout/style/crashtests/383979-2.html | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table)) → intermittent failure in layout/style/crashtests/383979-2.html or layout/generic/crashtests/547338.xul | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table))

Comment 7

8 years ago
Got this on try:

https://tbpl.mozilla.org/php/getParsedLog.php?id=6583485&tree=Try&full=1#error0
Summary: intermittent failure in layout/style/crashtests/383979-2.html or layout/generic/crashtests/547338.xul | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table)) → intermittent failure in layout/style/crashtests/383979-2.html or layout/generic/crashtests/547338.xul or layout/generic/crashtests/571975-1.html | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table))
https://tbpl.mozilla.org/php/getParsedLog.php?id=7518711&tree=Mozilla-Inbound&full=1
Summary: intermittent failure in layout/style/crashtests/383979-2.html or layout/generic/crashtests/547338.xul or layout/generic/crashtests/571975-1.html | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table)) → intermittent failure in 585598-1.xhtml, 383979-2.html, 547338.xul, 571975-1.html | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table))
Comment hidden (Legacy TBPL/Treeherder Robot)
https://tbpl.mozilla.org/php/getParsedLog.php?id=7571806&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test crashtest on 2011-11-24 10:17:51 PST for push 84117219ded0
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/generic/crashtests/580504-1.xhtml | assertion count 1 is more than expected 0 assertions
Summary: intermittent failure in 585598-1.xhtml, 383979-2.html, 547338.xul, 571975-1.html | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table)) → intermittent failure in 585598-1.xhtml, 383979-2.html, 547338.xul, 571975-1.html, 580504-1.xhtml | assertion count 1 is more than expected 0 assertions (ASSERTION: RECURSION_LEVEL_SAFE_TO_FINISH(table))
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.